=== debian/changelog ===
libmseed (2.19.5-1) unstable; urgency=medium

  * added copyrights

  * New 2.19.5 upstream release

  * New 2.19.2 upstream release

  * Initial release (Closes: #851806)

 -- Pierre Duperray <pierreduperray@free.fr>  Sun, 08 Jan 2017 22:38:22 +0100
