=== debian/control ===
Source: libmseed
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Duperray <pierreduperray@free.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
Homepage: http://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/

Package: libmseed-dev
Architecture: any
Section: libdevel
Depends: libmseed2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libmseed-doc
Description: seed data records manipulation library (development files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes development files for compiling against libmseed.

Package: libmseed-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: seed data records manipulation library (documentation and example files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes documentation and example files for compiling against
 libmseed.

Package: libmseed2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: seed data records manipulation library
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 Functionality is also included for managing waveform data as continuous
 traces. All structures of seed 2.4 data records are supported with the
 following exceptions: Blockette 2000 opaque data which has an unknown
 data structure by definition and Blockette 405.
