=== debian/tests/control ===
Tests: msview, msrepack
Depends: libmseed-dev, libmseed-doc, pkg-config
