=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libmseed-$1\.tar\.gz/ \
 https://github.com/iris-edu/libmseed/releases /iris-edu/libmseed/archive/v(\d\S+)\.tar\.gz
