=== debian/changelog ===
libmseed (2.19.6-1) unstable; urgency=medium

  * New upstream version 2.19.6
  * Drop all the patches (merged upstream)
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Disable DH_VERBOSE build
  * Update changelog for 2.19.6-1~4.gbpa1edec release

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 07 Sep 2018 16:45:18 +0000

libmseed (2.19.5-2) unstable; urgency=medium

  * Add myself (Paride Legovini) to Uploaders
  * Bump debhelper compat level to 11.
  * Install the docs and examples as recommended in the Policy (§12.3),
    leveraging debhelper's auto-detection of the main package for -doc packages.
    In practice: libmseed-doc now installs the documentation and examples in
    /usr/share/doc/libmseed-dev/ instead of /usr/share/doc/libmseed-doc/.
  * Update the Vcs- fields (packaging repository moved to salsa).
  * d/control: Use secure URL in the Homepage field.
  * Call ‘dh_missing --list-missing’ instead of ‘dh_install --list-missing’.
  * d/copyright: Secure Source URL, updated copyright years, cosmetic changes.
  * Add upstream metadata file.
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Always include unistd.h and inttypes.h. Closes: #890571.
  * Fixed and improved autopkgtests.
  * Package converted to Multi-Arch.
  * Install the shared library using d-shibs. Thanks: Andreas Tille.

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 06 Jul 2018 14:59:58 +0000
