=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: libmseed
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Pierre Duperray <pierreduperray@free.fr>
+Uploaders:
+ Pierre Duperray <pierreduperray@free.fr>,
+ Paride Legovini <pl@ninthfloor.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libmseed.git
-Homepage: http://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
+Build-Depends: debhelper (>= 11~), d-shlibs
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/libmseed
+Vcs-Git: https://salsa.debian.org/science-team/libmseed.git
+Homepage: https://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
 
 Package: libmseed-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libmseed2 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libmseed-doc
@@ -24,6 +27,7 @@
 Package: libmseed-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: seed data records manipulation library (documentation and example files)
  Provides a framework for manipulation of SEED (Standard for the Exchange
@@ -35,6 +39,7 @@
 Package: libmseed2
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: seed data records manipulation library
