=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

override_dh_missing:
	# Won't be necessary from compat 12 on.
	dh_missing --list-missing

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install

	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-a \
		    debian/tmp/usr/lib/*/libmseed.so
