=== debian/tests/control ===
Tests: msview, msrepack
Depends: @, build-essential, pkg-config
