## libmseed 2.19.8

=== Makefile ===
--- 
+++ 
@@ -26,27 +26,31 @@
            parseutils.c unpack.c unpackdata.c selection.c logging.c
 
 LIB_OBJS = $(LIB_SRCS:.c=.o)
-LIB_DOBJS = $(LIB_SRCS:.c=.lo)
+LIB_LOBJS = $(LIB_SRCS:.c=.lo)
 
-LIB_A = libmseed.a
-LIB_SO_BASE = libmseed.so
-LIB_SO_NAME = $(LIB_SO_BASE).$(MAJOR_VER)
-LIB_SO = $(LIB_SO_BASE).$(FULL_VER)
-LIB_DYN_NAME = libmseed.dylib
-LIB_DYN = libmseed.$(FULL_VER).dylib
-LIB_FILES = Blarg
+LIB_NAME = libmseed
+LIB_A = $(LIB_NAME).a
+
+OS := $(shell uname -s)
+
+# Build dynamic (.dylib) on macOS/Darwin, otherwise shared (.so)
+ifeq ($(OS), Darwin)
+	LIB_SO_BASE = $(LIB_NAME).dylib
+	LIB_SO_MAJOR = $(LIB_NAME).$(MAJOR_VER).dylib
+	LIB_SO = $(LIB_NAME).$(FULL_VER).dylib
+	LIB_OPTS = -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(FULL_VER) -install_name $(LIB_SO)
+else
+	LIB_SO_BASE = $(LIB_NAME).so
+	LIB_SO_MAJOR = $(LIB_NAME).so.$(MAJOR_VER)
+	LIB_SO = $(LIB_NAME).so.$(FULL_VER)
+	LIB_OPTS = -shared -Wl,--version-script=libmseed.map -Wl,-soname,$(LIB_SO_MAJOR)
+endif
 
 all: static
 
 static: $(LIB_A)
 
-# Build dynamic (.dylib) on macOS/Darwin, otherwise shared (.so)
-shared dynamic:
-ifeq ($(shell uname -s),Darwin)
-	$(MAKE) $(LIB_DYN)
-else
-	$(MAKE) $(LIB_SO)
-endif
+shared dynamic: $(LIB_SO)
 
 # Build static library
 $(LIB_A): $(LIB_OBJS)
@@ -54,26 +58,19 @@
 	$(RM) -f $(LIB_A)
 	$(AR) -crs $(LIB_A) $(LIB_OBJS)
 
-# Build shared library using GCC-style options
-$(LIB_SO): $(LIB_DOBJS)
+# Build shared/dynamic library
+$(LIB_SO): $(LIB_LOBJS)
 	@echo "Building shared library $(LIB_SO)"
-	$(RM) -f $(LIB_SO) $(LIB_SONAME) $(LIB_SO_BASE)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,--version-script=libmseed.map -Wl,-soname,$(LIB_SO_NAME) -o $(LIB_SO) $(LIB_DOBJS)
+	$(RM) -f $(LIB_SO) $(LIB_SO_MAJOR) $(LIB_SO_BASE)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(LIB_OPTS) -o $(LIB_SO) $(LIB_LOBJS)
 	ln -s $(LIB_SO) $(LIB_SO_BASE)
-	ln -s $(LIB_SO) $(LIB_SO_NAME)
-
-# Build dynamic library (usually for macOS)
-$(LIB_DYN): $(LIB_DOBJS)
-	@echo "Building dynamic library $(LIB_DYN)"
-	$(RM) -f $(LIB_DYN) $(LIB_DYN_NAME)
-	$(CC) $(CFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(FULL_VER) -install_name $(LIB_DYN_NAME) -o $(LIB_DYN) $(LIB_DOBJS)
-	ln -sf $(LIB_DYN) $(LIB_DYN_NAME)
+	ln -s $(LIB_SO) $(LIB_SO_MAJOR)
 
 test check: static FORCE
 	@$(MAKE) -C test test
 
 clean:
-	@$(RM) -f $(LIB_OBJS) $(LIB_DOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_NAME) $(LIB_SO_BASE) $(LIB_DYN) $(LIB_DYN_NAME)
+	$(RM) $(LIB_OBJS) $(LIB_LOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_MAJOR) $(LIB_SO_BASE) 
 	@$(MAKE) -C test clean
 	@echo "All clean."
 
@@ -82,12 +79,7 @@
 	@mkdir -p $(DESTDIR)$(PREFIX)/include
 	@cp libmseed.h $(DESTDIR)$(PREFIX)/include
 	@mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
-ifneq ("$(wildcard $(LIB_SO))","")
-	@cp -a $(LIB_SO_BASE) $(LIB_SO_NAME) $(LIB_SO) $(DESTDIR)$(LIBDIR)
-endif
-ifneq ("$(wildcard $(LIB_DYN))","")
-	@cp -a $(LIB_DYN_NAME) $(LIB_DYN) $(DESTDIR)$(LIBDIR)
-endif
+	@cp -a $(LIB_SO_BASE) $(LIB_SO_MAJOR) $(LIB_SO_NAME) $(LIB_SO) $(DESTDIR)$(LIBDIR)
 	@sed -e 's|@prefix@|$(PREFIX)|g' \
 	     -e 's|@exec_prefix@|$(EXEC_PREFIX)|g' \
 	     -e 's|@libdir@|$(LIBDIR)|g' \
@@ -108,7 +100,7 @@
 .c.o:
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
 
-# Standard object building for dynamic library components using -fPIC
+# Standard object building for shared library using -fPIC
 .c.lo:
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c $< -o $@
