=== debian/changelog ===
libmseed (2.19.8-1ubuntu2) noble; urgency=medium

  * d/rules: Update d-shlibmove invocation so that libmseed2t64 package
    actually contains the shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 13:58:59 +1200

libmseed (2.19.8-1ubuntu1) noble; urgency=medium

  * Rename libmseed2 package as although it is not affected by the
    time_t transition to 64-bits, it is affected by the LFS migration
    which is implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:08:46 +1200

libmseed (2.19.8-1) unstable; urgency=medium

  * New upstream version 2.19.8
  * d/control: bump Standards-Version to 4.6.1, no changes needed

 -- Paride Legovini <paride@debian.org>  Sat, 25 Jun 2022 18:04:31 +0000

libmseed (2.19.7-1) unstable; urgency=medium

  * New upstream version 2.19.7
  * d/gbp.conf: debian-branch = debian/latest (DEP-14)
  * d/copyright: update copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Thu, 24 Mar 2022 23:53:49 +0000

libmseed (2.19.6-3) unstable; urgency=medium

  * d/tests: adjust tests for uncompressed examples.
    With dh compat >= 12 dh_compress no longer compresses examples
    (i.e. anything installed in </usr/share/doc/package/examples>).

 -- Paride Legovini <paride@debian.org>  Tue, 09 Nov 2021 22:29:21 +0000

libmseed (2.19.6-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/control: bump the dh compat level to 13 (via debhelper-compat)
  * d/control: add Rules-Requires-Root: no
  * d/rules: drop DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed (now the default)
  * d/rules: drop dh_missing --list-missing (default in dh >= 12)
  * d/rules: drop DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
  * d/libmseed2.symbols: add Build-Depends-Package field
  * d/watch: query the GitHub releases API for 2.x releases
  * d/gbp.conf: rename branches according to DEP-14
  * d/copyright: add Paride as a copyright holder for debian/
  * debian/*: update Paride's email address (paride@debian.org)
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Mon, 01 Nov 2021 12:00:31 +0000
