=== debian/control ===
Source: libmseed
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Pierre Duperray <pierreduperray@free.fr>,
 Paride Legovini <paride@debian.org>,
Section: science
Priority: optional
Build-Depends:
 d-shlibs,
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/libmseed
Vcs-Git: https://salsa.debian.org/science-team/libmseed.git
Homepage: https://ds.iris.edu/ds/nodes/dmc/software/downloads/libmseed/
Rules-Requires-Root: no

Package: libmseed-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmseed2t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libmseed-doc,
Description: seed data records manipulation library (development files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes development files for compiling against libmseed.

Package: libmseed-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: seed data records manipulation library (documentation and example files)
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 This package includes documentation and example files for compiling against
 libmseed.

Package: libmseed2t64
Provides: ${t64:Provides}
Replaces: libmseed2
Breaks: libmseed2 (<< ${source:Version})
Conflicts: libmseed2 (<< ${source:Version})
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: seed data records manipulation library
 Provides a framework for manipulation of SEED (Standard for the Exchange
 of Earthquake Data) data records.
 .
 Functionality is also included for managing waveform data as continuous
 traces. All structures of seed 2.4 data records are supported with the
 following exceptions: Blockette 2000 opaque data which has an unknown
 data structure by definition and Blockette 405.
